import "styled-components";

declare module "styled-components" {
    export interface Theme {
        type: "light" | "dark",
        primary: string,
        secondary: string,
        border: string,
        text: string,
        gap: ${({ theme }) => theme.gap};
    }

    export interface DefaultTheme extends Theme {}
}